<html lang="en">

<head>
  <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
  <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
  <link rel="manifest" href="/site.webmanifest">
  <link rel="mask-icon" href="/safari-pinned-tab.svg" color="#5bbad5">
  <meta name="msapplication-TileColor" content="#2b5797">
  <meta name="theme-color" content="#ffffff">

  <title>Iron - Tech | Admin</title>
  <link rel="stylesheet" href="/css/style.css">
</head>

<body>

  <div class="admin-container">

    <div class="left-side">
      <div class="greeting-clock-date">
        <h1>Greetings, <%= user.toUpperCase() %>
        </h1><br>
        <h4 id="time"></h4>
      </div>

      <div class="add-service">
        <form class="add-service-form" action="" method="post">
          <label for="service-name">Service name:</label>
          <input type="text" name="service-name">
          <label for="service-info">Description</label>
          <textarea name="service-info" cols="30" rows="10"></textarea>
          <button type="submit">Submit</button>
        </form>
      </div>

      <div class="bottom-side">
        <div class="logout">
          <a href="/auth/logout">Logout</a>
        </div>
      </div>
    </div>

    <div class="right-side">
      <div class="message-board">
        <% for(let i=0; i<messages.length; i++) { %>
          Name: <%=messages[i].customer %> <br>
            Date: <%=messages[i].date.toDateString() %><br>
              Phone: <%=messages[i].contact %> <br>
                Service: <%=messages[i].service %><br>
                  Message: <%=messages[i].message %><br>
                    <form action="/auth/api/<%=messages[i].id%>?_method=DELETE" method="POST">
                      <button type="submit">Delete</button> <br><br><br>
                    </form>
                    <% } %>
      </div>
    </div>
  </div>


  <script src="/js/clock.js"></script>
</body>

</html>